diff --git a/.github/actions/acc_test/action.yaml b/.github/actions/acc_test/action.yaml
index 13674a9a..614e186f 100644
--- a/.github/actions/acc_test/action.yaml
+++ b/.github/actions/acc_test/action.yaml
@@ -70,6 +70,10 @@ outputs:
value: ${{ steps.testrun.result }}
description: "the output of the tests"
+ status:
+ value: ${{ steps.testrun.status }}
+ description: "the status of the tests"
+
runs:
using: "composite"
steps:
@@ -230,11 +234,15 @@ runs:
echo "::endgroup::"
set -e
echo "::group::go test result"
- if [ $? -ne 0 ]; then
+
+ if [[ $(cat acc_test_run.log | grep "FAIL") ]]; then
echo "Test failed, see acc_test_run.log for details"
res=$(cat acc_test_run.log | grep -v "=== RUN" | grep -v "\-\-\- PASS" | grep -v "=== CONT" | grep -v "=== PAUSE")
- echo "result=${res}" >> "$GITHUB_OUTPUT"
+ echo "result=FAIL: ${res}" >> "$GITHUB_OUTPUT"
+ echo "status=FAILED" >> "$GITHUB_OUTPUT"
exit 1
+ else
+ echo "status=SUCCESS" >> "$GITHUB_OUTPUT"
fi
echo "::endgroup::"
env:
@@ -246,19 +254,9 @@ runs:
TF_ACC_KEK_KEY_VERSION: ${{ inputs.tf_acc_kek_key_version }}
TF_ACC_KEK_SERVICE_ACCOUNT: ${{ inputs.tf_acc_kek_service_account }}
- - name: Artifact upload start
- shell: bash
- run: |
- echo "::group::artifact upload"
-
- name: Upload test log artifact
if: always()
uses: actions/upload-artifact@v3
with:
name: acc_test.log
path: "stackit/acc_test_run.log"
-
- - name: Artifact upload finish
- shell: bash
- run: |
- echo "::endgroup::"
diff --git a/.github/actions/notify/action.yaml b/.github/actions/notify/action.yaml
index f260d087..0de7da68 100644
--- a/.github/actions/notify/action.yaml
+++ b/.github/actions/notify/action.yaml
@@ -11,6 +11,15 @@ inputs:
required: true
default: 'no title provided'
+ subtitle:
+ description: "The subtitle of the notification."
+ required: true
+ default: 'no subtitle provided'
+
+ image_url:
+ description: "The URL of the image to be included in the notification."
+ required: false
+
event_author:
description: "The author of the event."
required: true
@@ -35,6 +44,11 @@ inputs:
required: true
default: 'none'
+ status:
+ description: "The status of the event."
+ required: true
+ default: 'unknown'
+
runs:
using: "composite"
steps:
@@ -69,7 +83,8 @@ runs:
PAYLOAD=$(jq -n -r \
--arg header "${{ inputs.title }}" \
- --arg repo "${{ github.repository || '' }}" \
+ --arg subtitle "${{ inputs.subtitle || '' }}" \
+ --arg imgurl "${{ inputs.image_url || 'https://cdn.jsdelivr.net/gh/homarr-labs/dashboard-icons/png/git.png' }}" \
--arg title "${{ inputs.event_title || 'no event title given' }}" \
--arg body "${{ inputs.event_body || 'no event body given' }}" \
--arg author "${{ inputs.event_author || 'no event author given' }}" \
@@ -77,8 +92,8 @@ runs:
'{ "cardsV2": [ { "cardId": "notify-${{ github.run_id }}", "card": {
"header": {
"title": "\($header)",
- "subtitle": "Repo: \($repo)",
- "imageUrl": "https://cdn.jsdelivr.net/gh/homarr-labs/dashboard-icons/png/git.png",
+ "subtitle": "\($subtitle)",
+ "imageUrl": "\($imgurl)",
"imageType": "SQUARE"
},
"sections": [
@@ -91,7 +106,7 @@ runs:
"icon": {
"knownIcon": "PERSON"
},
- "text": "Opened by: \($author)"
+ "text": "\($author)"
}
},
{
diff --git a/.github/workflows/tf-acc-test.yaml b/.github/workflows/tf-acc-test.yaml
index 642fe63b..20101c67 100644
--- a/.github/workflows/tf-acc-test.yaml
+++ b/.github/workflows/tf-acc-test.yaml
@@ -45,6 +45,7 @@ jobs:
with:
webhook_url: ${{ secrets.GOOGLE_WEBHOOK_URL }}
title: Terraform Acceptance Tests started
+ subtitle: "${{ github.repository }}"
event_title: ${{ github.event_name }}
event_author: ${{ github.actor }}
event_body: ${{ inputs.test_file }}
@@ -89,6 +90,7 @@ jobs:
with:
webhook_url: ${{ secrets.GOOGLE_WEBHOOK_URL }}
title: Terraform Acceptance Tests finished
+ subtitle: ""
event_title: ${{ github.event_name }}
event_author: ${{ github.actor }}
event_body: "${{ steps.automatic_run.outputs.result || steps.manual_run.outputs.result }}"